<%#deffun(promo_navigation, common/promo_navigation.txt, qs, id, prev_or_next, platform)%>
<%#eatspace(some)%>

<%|define("range")|<%(%prev_or_next == "next")I:-1:%id:1 ::(%prev_or_next == "prev")I:1:%id:-1%>%>
<%|define("clean_qs")|<%|regex_replace(R["&amp;"], "&", 1)|<%|urldecode|%qs%>%>%>
<%|define("re_clean_qs")|<%|regex_replace(R["&quot;"], "%22", 1)|%clean_qs%>%>
<%|define_keyval("promo")|%re_clean_qs%>

<%|qs_sq("ppqs", "promo", %re_clean_qs)|
	<%|define("le_sq")|%range %subsort %sq_count_level %sq_filter %sq_params *:* %sq_query%>
	<%|search("josesearch", "js_", %le_sq)|
		<%(?js_list_id)
			<%|define("desktop_url")|&vi_friendly_builder(%js_region, %js_category, %js_title, %js_list_id)%>
			<%(%platform == "desktop")
				%desktop_url
			::(%platform == "mobile")
				<%|define("mobile_url")|&replace($(common.base_url.vi), $(common.base_url.mobile),%desktop_url)%>
				%mobile_url
			%>
		%>
	%>
%>
